#include<iostream>
using namespace std;
int main ()
{
long long n, d, k, c=0, b=01;
    cin>>n>>d>>k;
    for(int i=1; i<=k; i++)
    {
        b=b+d;
        if(b>n)
        {
            b=b-n*(b/n);
        }
        c+=b;

    }
    cout<<c+2;
    return 0;
}
